GroovyPagesGrailsPlugin (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.plugins.web

## [Groovy] Class GroovyPagesGrailsPlugin

- org.codehaus.groovy.grails.plugins.web.GroovyPagesGrailsPlugin

- Sets up and configures the GSP and GSP tag library support in Grails.

  Authors:
    Graeme Rocher
  Since:
    1.1

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.Object` | `dependsOn`
    `java.lang.Object` | `doWithApplicationContext` Clear the page cache with the ApplicationContext is loaded
    `java.lang.Object` | `doWithDynamicMethods` Sets up dynamic methods required by the GSP implementation including dynamic tag method dispatch
    `java.lang.Object` | `doWithSpring` Configures the various Spring beans required by GSP
    `java.lang.Object` | `doWithWebDescriptor` Modifies the web.xml when in development mode to allow viewing of sources
    `java.lang.Object` | `loadAfter`
    `java.lang.Object` | `observe`
    `java.lang.Object` | `onChange`
    `java.lang.Object` | `onConfigChange`
    `java.lang.Object` | `providedArtefacts`
    `java.lang.Object` | `version` /*TagLib.groovy", "file:.
    `java.lang.Object` | `watchedResources`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static java.lang.String` | `transformToValidLocation(java.lang.String location)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.lang.Object dependsOn

    - #### java.lang.Object doWithApplicationContext

      Clear the page cache with the ApplicationContext is loaded

    - #### java.lang.Object doWithDynamicMethods

      Sets up dynamic methods required by the GSP implementation including dynamic tag method dispatch

    - #### java.lang.Object doWithSpring

      Configures the various Spring beans required by GSP

    - #### java.lang.Object doWithWebDescriptor

      Modifies the web.xml when in development mode to allow viewing of sources

    - #### java.lang.Object loadAfter

    - #### java.lang.Object observe

    - #### java.lang.Object onChange

    - #### java.lang.Object onConfigChange

    - #### java.lang.Object providedArtefacts

    - #### java.lang.Object version

      /*TagLib.groovy", "file:./grails-app/taglib/*

    - #### java.lang.Object watchedResources

  - ### Method Detail

    - #### static java.lang.String transformToValidLocation(java.lang.String location)